summaryrefslogtreecommitdiffstats
path: root/games/bsnes-mercury
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2017-02-04 21:51:27 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-02-11 07:24:18 +0700
commitfa375daea0b36305298567378aa46159f0612b50 (patch)
treef1dd03482a4cb69be6d7d33e372776f971b255f0 /games/bsnes-mercury
parentb041534ba49cb7cf1a91779d50736995e62d1251 (diff)
downloadslackbuilds-fa375daea0b36305298567378aa46159f0612b50.tar.gz
slackbuilds-fa375daea0b36305298567378aa46159f0612b50.tar.xz
games/bsnes-mercury: Updated for version 2017.02.04_4012862.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/bsnes-mercury')
-rw-r--r--games/bsnes-mercury/README3
-rw-r--r--games/bsnes-mercury/bsnes-mercury.SlackBuild12
-rw-r--r--games/bsnes-mercury/bsnes-mercury.info6
3 files changed, 14 insertions, 7 deletions
diff --git a/games/bsnes-mercury/README b/games/bsnes-mercury/README
index 2ac6d98a75..0cc8f82781 100644
--- a/games/bsnes-mercury/README
+++ b/games/bsnes-mercury/README
@@ -33,3 +33,6 @@ To build the balanced or performance cores, choose any desired cores:
Or to build all three cores, "all" can be used:
CORE="all" ./bsnes-mercury.SlackBuild
+
+To build the debugging symbols use:
+ DEBUG=1 ./bsnes-mercury.SlackBuild
diff --git a/games/bsnes-mercury/bsnes-mercury.SlackBuild b/games/bsnes-mercury/bsnes-mercury.SlackBuild
index 0dd91ead05..cfeb92d10c 100644
--- a/games/bsnes-mercury/bsnes-mercury.SlackBuild
+++ b/games/bsnes-mercury/bsnes-mercury.SlackBuild
@@ -24,7 +24,7 @@
PRGNAM=bsnes-mercury
LIBNAM=$(echo $PRGNAM | tr - _)
-VERSION=${VERSION:-2016.07.17_a444a4e}
+VERSION=${VERSION:-2017.02.04_4012862}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -57,6 +57,8 @@ else
LIBDIRSUFFIX=""
fi
+DEBUG=${DEBUG:-0}
+
set -e
rm -rf $PKG
@@ -83,14 +85,16 @@ fi
for PROFILE in $CORE; do
CORENAM=${LIBNAM}_${PROFILE}_libretro
- make profile=$PROFILE
+ make profile=$PROFILE DEBUG=$DEBUG GIT_VERSION=${VERSION#*_}
install -Dm0644 out/$CORENAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$CORENAM.so
install -Dm0644 $CORENAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$CORENAM.info
make clean
done
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+if [ "$DEBUG" = "0" ]; then
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/games/bsnes-mercury/bsnes-mercury.info b/games/bsnes-mercury/bsnes-mercury.info
index c04e92c940..ca656d4b8d 100644
--- a/games/bsnes-mercury/bsnes-mercury.info
+++ b/games/bsnes-mercury/bsnes-mercury.info
@@ -1,8 +1,8 @@
PRGNAM="bsnes-mercury"
-VERSION="2016.07.17_a444a4e"
+VERSION="2017.02.04_4012862"
HOMEPAGE="http://www.libretro.com/"
-DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/bsnes-mercury-2016.07.17_a444a4e.tar.xz"
-MD5SUM="f2c5edf61fed5c43c8e0d47696619ec8"
+DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/bsnes-mercury-2017.02.04_4012862.tar.xz"
+MD5SUM="8111c88cfa4eb9445350002233d95d00"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="RetroArch"